summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2012-09-07 17:30:33 +0100
committerCarl Hetherington <cth@carlh.net>2012-09-07 17:30:33 +0100
commitfe6796a115cbd0e306b39e9d1b684ce1aaf7c9b5 (patch)
tree8a0de3492770837bf3a2531abc07953c5e3d5781
parenta680f27bddf78d7dcbe52ddb4f8e3e9194d85fd5 (diff)
XML tests.
-rwxr-xr-xrun-tests.sh11
-rw-r--r--test/ref/info.log44
2 files changed, 53 insertions, 2 deletions
diff --git a/run-tests.sh b/run-tests.sh
index c75c8c2a..2fb89317 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -19,9 +19,11 @@ if [ "$?" != "0" ]; then
exit 1
fi
+rm -f build/test/info.log
+
if [ -e "../libdcp-test" ]; then
for d in `find ../libdcp-test -mindepth 1 -maxdepth 1 -type d`; do
- LD_LIBRARY_PATH=build/src:build/asdcplib/src build/tools/dcpinfo $d
+ LD_LIBRARY_PATH=build/src:build/asdcplib/src build/tools/dcpinfo $d >> build/test/info.log
if [ "$?" != "0" ]; then
echo "FAIL: dcpinfo failed"
exit 1
@@ -32,5 +34,10 @@ else
exit 1
fi
-echo "PASS"
+diff -q build/test/info.log test/ref/info.log
+if [ "$?" != "0" ]; then
+ echo "FAIL: dcpinfo output incorrect"
+ exit 1
+fi
+echo "PASS"
diff --git a/test/ref/info.log b/test/ref/info.log
new file mode 100644
index 00000000..8f14a881
--- /dev/null
+++ b/test/ref/info.log
@@ -0,0 +1,44 @@
+DCP: ../libdcp-test/ASTERIX_TSR_F_FR-DE_51_2K_20120411_SE_2D
+ Length: 1439
+ Frames per second: 24
+Reel 1
+Reel 2
+ Subtitle: 30 subtitles in Custom
+DCP: ../libdcp-test/WRECK-IT-RALPH_TLR-A-3D_S_EN-DEFR_INT_51_2K_DI_20120620_TEU_i3D
+ Length: 3385
+ Frames per second: 24
+Reel 1
+DCP: ../libdcp-test/AVATAR-3D_TLR-H_F_EN-XX_INTL-TXTD_2K_51_TCF_20091022_DUK-i3D-ngb
+ Length: 4960
+ Frames per second: 24
+Reel 1
+DCP: ../libdcp-test/END-OF-TIME_TLR_F_XX-XX_CH_51_2K_LOK_20120726_DGL_OV
+ Length: 2865
+ Frames per second: 24
+Reel 1
+Reel 2
+DCP: ../libdcp-test/THE-GUARD_TRL_F_EN-DE-FR_CH_51_2K_20110718_TIT
+ Length: 3201
+ Frames per second: 24
+Reel 1
+DCP: ../libdcp-test/BARBARA_TLR_F_DE-FR_CH_51_2K_LOK_20120410_OV
+ Length: 2917
+ Frames per second: 24
+Reel 1
+ Subtitle: 31 subtitles in French
+DCP: ../libdcp-test/ASTERIX_TLR-01_F_FR-DE_CH_51_2K_FRE_20120730_DGL_OV
+ Length: 3080
+ Frames per second: 24
+Reel 1
+ Subtitle: 49 subtitles in French
+DCP: ../libdcp-test/EPIC-3D_TLR-D_S_EN-DE-FR_CH_51_48_ST_20120718_TIT_i3D-ngb_OV
+ Length: 3166
+ Frames per second: 24
+Reel 1
+ Subtitle: 32 subtitles in English
+DCP: ../libdcp-test/ELLES_TLR_C_FR-DE_20_2K_20120412_SE
+ Length: 2794
+ Frames per second: 24
+Reel 1
+Reel 2
+ Subtitle: 52 subtitles in Custom